dots.v2.databases.byDatabase_cluster_uuid().eviction_policy.get()

Generated on 5 Nov 2026 from DoTs version v1.23.0

Usage

client.v2.databases.byDatabase_cluster_uuid(database_cluster_uuid).eviction_policy.get(requestConfiguration?: RequestConfiguration<object>): Promise<undefined | Eviction_policyGetResponse>

Description

To retrieve the configured eviction policy for an existing Caching or Valkey cluster, send a GET request to /v2/databases/{database_cluster_uuid}/eviction_policy. The response will be a JSON object with an eviction_policy key. This will be set to a string representing the eviction policy.

Parameters

database_cluster_uuid string required

Example: 9cc10173-e9ea-4176-9dbc-a4cee4c4ff30

A unique identifier for a database cluster.

Request Sample

Show Request Sample
import { FetchRequestAdapter } from "@microsoft/kiota-http-fetchlibrary";
import {
    createDigitalOceanClient,
    DigitalOceanApiKeyAuthenticationProvider,
} from "@digitalocean/dots";

const authProvider = new DigitalOceanApiKeyAuthenticationProvider(process.env.DIGITALOCEAN_TOKEN!);
const adapter = new FetchRequestAdapter(authProvider);
const client = createDigitalOceanClient(adapter);

const response = await client.v2.databases
    .byDatabase_cluster_uuid("9cc10173-e9ea-4176-9dbc-a4cee4c4ff30").eviction_policy.get();

Response Example

Show Response Example
{
  "eviction_policy": "allkeys_lru"
}

More Information

See /v2/databases/{database_cluster_uuid}/eviction_policy in the API reference for additional detail on responses, headers, parameters, and more.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.